//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class Pot;
//---------------------------------------------------------------------------
class TfrmMain : public TForm {
__published:	// IDE-managed Components
    TGroupBox *GroupBox1;
    TLabel *Label1;
    TEdit *edAngle;
    TLabel *Label2;
    TEdit *edVarR;
    TLabel *Label3;
    TEdit *edC;
    TLabel *Label5;
	TComboBox *cbChrt;
    TLabel *Label7;
    TEdit *edR;
    TPageControl *PageControl1;
    TTabSheet *TabSheet1;
    TPaintBox *pbScale;
    TTabSheet *TabSheet2;
    TPaintBox *pbGraph;
    void __fastcall pbScalePaint(TObject *Sender);
    void __fastcall ParamsChanged(TObject *Sender);
    void __fastcall pbGraphPaint(TObject *Sender);

private:	// User declarations
    double VarR, AddR, C;
    int FullAngle;
	int StartAngle;
    bool Inited;
    Pot * ThePot;

    void GetParams();
	Pot * GetPot();

    double CalcFreq(double da);
    double CalcRes(double f, double c);
    double CalcFreq(double r, double c);
	double GetStep(double Range);
    double Round(double Value, double Precision);

    void DrawFreq(int w, int h, double f, bool hide_text = false);
    void DrawMark(int w, int h, double da);
    void DrawText(int w, int h, double da, AnsiString txt);
    
public:		// User declarations
    __fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
#endif

