//---------------------------------------------------------------------------
#ifndef PotsH
#define PotsH
//---------------------------------------------------------------------------
#include<vector>
using std::vector;
//---------------------------------------------------------------------------
class PotPoint {
public:
    double Resistance;
    double AnglePrc;

    double GetCoeff(const PotPoint &Next);
    double operator/(const PotPoint &Next);
};
//---------------------------------------------------------------------------
class PotTbl {
private:
	vector<PotPoint> Tbl;
protected:
	void AddPoint(PotPoint p);
    virtual PotPoint GetPoint(int Idx);
public:
    double GetResPrc(double AnglePrc);
    double GetAnglePrc(double ResPrc);
};
//---------------------------------------------------------------------------
class LogPotTbl: public PotTbl {
public:
	LogPotTbl();
};
//---------------------------------------------------------------------------
class Pot {
private:
    double Resistance;
    int FullAngle;
public:
    Pot(double AResistance);
    Pot(double AResistance, int AFullAngle);
    virtual ~Pot() {};
    virtual double GetResPrc(double Angle);
    virtual double GetResistance(double Angle);
    virtual double GetAnglePrc(double Res);
    virtual double GetAngle(double Res);
    virtual double GetMaxResistance();
};
//---------------------------------------------------------------------------
class LogPot : public Pot {
    typedef Pot inherited;
    LogPotTbl Tbl;
public:
    LogPot(double AResistance);
    LogPot(double AResistance, int AFullAngle);
    virtual double GetResPrc(double Angle);
    virtual double GetAnglePrc(double Res);
};
//---------------------------------------------------------------------------
#endif

